=== modified file 'bzrlib/tree.py'
--- bzrlib/tree.py	2009-03-24 01:53:42 +0000
+++ bzrlib/tree.py	2009-04-03 01:24:32 +0000
@@ -905,7 +905,6 @@
             output. An unversioned file is defined as one with (False, False)
             for the versioned pair.
         """
-        result = []
         lookup_trees = [self.source]
         if extra_trees:
              lookup_trees.extend(extra_trees)
@@ -977,6 +976,10 @@
                 if (self.source.get_symlink_target(file_id) !=
                     self.target.get_symlink_target(file_id)):
                     changed_content = True
+                # XXX: Yes, the indentation below is wrong. But fixing it broke
+                # test_merge.TestMergerEntriesLCAOnDisk.
+                # test_nested_tree_subtree_renamed_and_modified. We'll wait for
+                # the fix from bzr.dev -- vila 2009026
                 elif from_kind == 'tree-reference':
                     if (self.source.get_reference_revision(file_id, from_path)
                         != self.target.get_reference_revision(file_id, to_path)):

=== modified file 'bzrlib/workingtree_4.py'
--- bzrlib/workingtree_4.py	2009-03-31 14:13:27 +0000
+++ bzrlib/workingtree_4.py	2009-04-03 01:24:32 +0000
@@ -1466,6 +1466,10 @@
                            _control_files=control_files)
 
     def __get_matchingbzrdir(self):
+        return self._get_matchingbzrdir()
+
+    def _get_matchingbzrdir(self):
+        """Overrideable method to get a bzrdir for testing."""
         # please test against something that will let us do tree references
         return bzrdir.format_registry.make_bzrdir(
             'dirstate-with-subtree')

